# Enum Class SyMouseButton

java.lang.Object
java.lang.Enum<SyMouseButton>
com.io7m.jsycamore.api.mouse.SyMouseButton

All Implemented Interfaces:
  `Serializable, Comparable<SyMouseButton>, Constable`

public enum SyMouseButton extends Enum<SyMouseButton>
An enumeration of the mouse buttons used by the package.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOUSE_BUTTON_LEFT`
  The left mouse button.
  `MOUSE_BUTTON_MIDDLE`
  The middle mouse button.
  `MOUSE_BUTTON_RIGHT`
  The right mouse button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `index()`
  `static SyMouseButton`
  `ofIndex(int index)`
  Retrieve a button for the given index.
  `static SyMouseButton`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyMouseButton[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOUSE_BUTTON_LEFT

    public static final SyMouseButton MOUSE_BUTTON_LEFT
    The left mouse button.

  - ### MOUSE_BUTTON_MIDDLE

    public static final SyMouseButton MOUSE_BUTTON_MIDDLE
    The middle mouse button.

  - ### MOUSE_BUTTON_RIGHT

    public static final SyMouseButton MOUSE_BUTTON_RIGHT
    The right mouse button.

- ## Method Details

  - ### values

    public static SyMouseButton[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyMouseButton valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ofIndex

    public static SyMouseButton ofIndex(int index)
    Retrieve a button for the given index. The index must be in the range `[0, 2]`.
    Parameters:
      `index` - The button index
    Returns:
      The mouse button associated with `index`

  - ### index

    public int index()
    Returns:
      The integer index of the mouse button